( cd /usr/bin ; rm -rf slogin )
( cd /usr/bin ; ln -sf ssh slogin )
( cd /usr/man/man1 ; rm -rf slogin.1.gz )
( cd /usr/man/man1 ; ln -sf ssh.1.gz slogin.1.gz )
# Creates hostkey 
if test -f etc/ssh/ssh_host_key;
 then echo "You already have a host key in /etc/ssh/ssh_host_key.";
else
 usr/bin/ssh-keygen -b 1024 -f etc/ssh/ssh_host_key -N ''
fi
if test -f etc/ssh/ssh_host_dsa_key;
 then echo "You already have a host key in /etc/ssh/ssh_host_dsa_key.";
else
 usr/bin/ssh-keygen -d -f etc/ssh/ssh_host_dsa_key -N ''
fi
# Process the incoming configuration files

if [ ! -f etc/ssh/ssh_config ]
then
   mv install/conf/etc/ssh/ssh_config etc/ssh/ssh_config
else
   if [ "`md5sum install/conf/etc/ssh/ssh_config | cut -d ' ' -f 1 2>/dev/null`" = "`md5sum etc/ssh/ssh_config | cut -d ' ' -f 1 2>/dev/null`" ]
   then
      mv install/conf/etc/ssh/ssh_config etc/ssh/ssh_config
   else
      mv install/conf/etc/ssh/ssh_config etc/ssh/ssh_config.new
   fi
fi

if [ ! -f etc/ssh/sshd_config ]
then
   mv install/conf/etc/ssh/sshd_config etc/ssh/sshd_config
else
   if [ "`md5sum install/conf/etc/ssh/sshd_config | cut -d ' ' -f 1 2>/dev/null`" = "`md5sum etc/ssh/sshd_config | cut -d ' ' -f 1 2>/dev/null`" ]
   then
      mv install/conf/etc/ssh/sshd_config etc/ssh/sshd_config
   else
      mv install/conf/etc/ssh/sshd_config etc/ssh/sshd_config.new
   fi
fi

# Make sure the incoming conf directory is gone
rm -rf install/conf
